View Issue Details

IDProjectCategoryView StatusLast Update
0002228Industrial-Craft²machinespublic2017-07-10 18:18
ReporterKroweromAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002228: Server Crash on machine explosions
DescriptionForge 1.12 - 14.21.1.2402
IndustrialCraft-2-2.8.6-ex112.jar

Server crashes when machines explode with a player nearby.

If approached from a distance, the results of the explosion are evident (small hole and some dropped items).

The dropped IC2 item is "invalid" with a missing texture (item id: 4524:0).
Steps To ReproduceOne of my players was using a CESU with Insulated HV cables with his machines. He is an IC2 newbie, and doesn't know about transformers.

The server crashes immediately (a server crash, not client crash), before the explosion is seen by the player.

If the player attempts to log in again, the server crashes repeatedly.

The only way to stop the server from crashing every time that player logs in is to approach the area with another player, so the explosion event can play out. Then the player can log in again and see the hole where his beloved machine used to be.
TagsNo tags attached.
Minecraft VersionForge 1.12

Relationships

related to 0002220 resolvedChocohead Crash attempting to remove steel from blast furnace [industrialcraft-2-2.8.6-ex112.jar] 

Activities

Chocohead

2017-07-09 14:48

developer   ~0005367

Can you upload the crash report?

Krowerom

2017-07-10 01:16

reporter  

crash-2017-07-09_15.42.51-server.txt (5,945 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  LoadingPlugin (Bloodmoon-MC1.12-1.5.1.jar)
  LoadingPlugin (ResourceLoader-MC1.12-1.5.2.jar)
  LoadingPlugin (RandomThings-MC1.12-4.0.2.jar)
Contact their authors BEFORE contacting forge

// Shall we play a game?

Time: 7/9/17 3:42 PM
Description: Exception in server tick loop

java.lang.NullPointerException: Exception in server tick loop
	at ic2.core.energy.leg.EnergyCalculatorLeg.explodeTile(EnergyCalculatorLeg.java:726)
	at ic2.core.energy.leg.EnergyCalculatorLeg.applyEffects(EnergyCalculatorLeg.java:663)
	at ic2.core.energy.leg.EnergyCalculatorLeg.runCalculation(EnergyCalculatorLeg.java:450)
	at ic2.core.energy.leg.EnergyCalculatorLeg.runSyncStep(EnergyCalculatorLeg.java:114)
	at ic2.core.energy.grid.GridUpdater.startTransferCalc(GridUpdater.java:75)
	at ic2.core.energy.grid.EnergyNetLocal.onTickEnd(EnergyNetLocal.java:185)
	at ic2.core.energy.grid.EventHandler.onWorldTick(EventHandler.java:62)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_100_EventHandler_onWorldTick_WorldTickEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:179)
	at net.minecraftforge.fml.common.FMLCommonHandler.onPostWorldTick(FMLCommonHandler.java:276)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:770)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:391)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:665)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:523)
	at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.12
	Operating System: Linux (amd64) version 2.6.32-573.26.1.el6.x86_64
	Java Version: 1.8.0_91, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 2002827136 bytes (1910 MB) / 3041918976 bytes (2901 MB) up to 3041918976 bytes (2901 MB)
	JVM Flags: 2 total; -Xmx3072M -Xms3072M
	IntCache: cache: 0, tcache: 0, allocated: 3, tallocated: 104
	FML: MCP 9.40 Powered by Forge 14.21.1.2402 34 mods loaded, 34 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	minecraft{1.12} [Minecraft] (minecraft.jar) 
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.12-14.21.1.2402-universal.jar) 
	UCHIJAAAA	forge{14.21.1.2402} [Minecraft Forge] (forge-1.12-14.21.1.2402-universal.jar) 
	UCHIJAAAA	bibliocraft{2.4.2} [BiblioCraft] (BiblioCraft[v2.4.2][MC1.12.0].jar) 
	UCHIJAAAA	biomesoplenty{7.0.0.2288} [Biomes O' Plenty] (BiomesOPlenty-1.12-7.0.0.2288-universal.jar) 
	UCHIJAAAA	bloodmoon{1.5.1} [Bloodmoon] (Bloodmoon-MC1.12-1.5.1.jar) 
	UCHIJAAAA	chameleon{1.12-4.1.0} [Chameleon] (Chameleon-1.12-4.1.0.jar) 
	UCHIJAAAA	chesttransporter{2.8.3} [Chest Transporter] (ChestTransporter-1.12-2.8.3.jar) 
	UCHIJAAAA	codechickenlib{3.1.0.278} [CodeChicken Lib] (CodeChickenLib-1.12-3.1.0.278-universal.jar) 
	UCHIJAAAA	redstoneflux{2.0.0} [Redstone Flux] (RedstoneFlux-1.12-2.0.0.1-universal.jar) 
	UCHIJAAAA	cofhcore{4.3.1} [CoFH Core] (CoFHCore-1.12-4.3.1.6-universal.jar) 
	UCHIJAAAA	cofhworld{1.0.0} [CoFH World] (CoFHWorld-1.12-1.0.0.5-universal.jar) 
	UCHIJAAAA	elevatorid{1.3.4} [Elevator Mod] (ElevatorMod-1.12-1.3.4.jar) 
	UCHIJAAAA	theoneprobe{1.4.11} [The One Probe] (theoneprobe-1.12-1.4.11.jar) 
	UCHIJAAAA	endercrop{1.12-1.3.4} [Ender Crop] (endercrop-1.12-1.3.4.jar) 
	UCHIJAAAA	ic2{2.8.6-ex112} [IndustrialCraft 2] (industrialcraft-2-2.8.6-ex112.jar) 
	UCHIJAAAA	forestry{5.4.3.128} [Forestry] (forestry_1.12-5.4.3.128.jar) 
	UCHIJAAAA	ftbl{0.0.0} [FTBLib] (FTBLib-4.0.5.jar) 
	UCHIJAAAA	ftbu{0.0.0} [FTBUtilities] (FTBUtilities-4.0.3.jar) 
	UCHIJAAAA	gravestone{1.8.4} [Gravestone Mod] (gravestone-1.8.4.jar) 
	UCHIJAAAA	infernalmobs{1.7.2} [Infernal Mobs] (InfernalMobs-1.12.jar) 
	UCHIJAAAA	ironchest{1.12-7.0.31.818} [Iron Chest] (ironchest-1.12-7.0.31.818.jar) 
	UCHIJAAAA	jei{4.7.1.69} [Just Enough Items] (jei_1.12-4.7.1.69.jar) 
	UCHIJAAAA	journeymap{1.12-5.4.9} [JourneyMap] (journeymap-1.12-5.4.9.jar) 
	UCHIJAAAA	morpheus{1.12-3.3.2} [Morpheus] (Morpheus-1.12-3.3.2.jar) 
	UCHIJAAAA	plants{1.2.0} [Plants] (Plants-1.12-1.2.0.jar) 
	UCHIJAAAA	randomthings{4.0.2} [Random Things] (RandomThings-MC1.12-4.0.2.jar) 
	UCHIJAAAA	ayanokeikorftl{1.0.1} [Rotten Flesh To Leather Mod] (RottenFleshToLeather [1.0.1].jar) 
	UCHIJAAAA	storagedrawers{1.12-5.1.3} [Storage Drawers] (StorageDrawers-1.12-5.1.3.jar) 
	UCHIJAAAA	thermalfoundation{2.3.1} [Thermal Foundation] (ThermalFoundation-1.12-2.3.1.5-universal.jar) 
	UCHIJAAAA	thermaldynamics{2.3.1} [Thermal Dynamics] (ThermalDynamics-1.12-2.3.1.6-universal.jar) 
	UCHIJAAAA	thermalexpansion{5.3.1} [Thermal Expansion] (ThermalExpansion-1.12-5.3.1.6-universal.jar) 
	UCHIJAAAA	wearablebackpacks{3.0.3} [Wearable Backpacks] (WearableBackpacks-1.12-3.0.3.jar) 
	Loaded coremods (and transformers): 
LoadingPlugin (Bloodmoon-MC1.12-1.5.1.jar)
  lumien.bloodmoon.asm.ClassTransformer
LoadingPlugin (ResourceLoader-MC1.12-1.5.2.jar)
  lumien.resourceloader.asm.ClassTransformer
LoadingPlugin (RandomThings-MC1.12-4.0.2.jar)
  lumien.randomthings.asm.ClassTransformer
	codechickenlib Invalid Fingerprint Reports: - No invalid fingerprints.: 
	Profiler Position: N/A (disabled)
	Player Count: 1 / 10; [EntityPlayerMP['noahrouw'/239, l='world', x=1268.90, y=75.00, z=-268.36]]
	Is Modded: Definitely; Server brand changed to 'fml,forge'
	Type: Dedicated Server (map_server.txt)

Krowerom

2017-07-10 01:22

reporter   ~0005368

Sorry - as this is the first bug report I've done for IC2, I didn't realise where the responses were. I only just noticed the email from nearly 12hrs ago!

The crash report is attached. This one is when Noah logs in after crashing the server only to crash the server again. The area that he is in is not loaded except when he is present (no other players are near his base of operations). It is the same error (exactly) every time he tries to log in.

Chocohead

2017-07-10 13:33

developer   ~0005369

Thanks for reporting, it makes fixing bugs a lot easier when people report them :)

This crash should be resolved with IC2 2.8.7

Krowerom

2017-07-10 14:30

reporter   ~0005370

Thanks - is that going to be updated on CurseForge at some point soon? I am enjoying the mod, but keeping my players on the same versions is proving tricky.

I will keep reporting things I find for you :)

Chocohead

2017-07-10 18:18

developer   ~0005371

It should be available in the next couple of minutes.

Issue History

Date Modified Username Field Change
2017-07-09 14:15 Krowerom New Issue
2017-07-09 14:48 Chocohead Note Added: 0005367
2017-07-10 01:16 Krowerom File Added: crash-2017-07-09_15.42.51-server.txt
2017-07-10 01:22 Krowerom Note Added: 0005368
2017-07-10 13:33 Chocohead Note Added: 0005369
2017-07-10 13:33 Chocohead Status new => resolved
2017-07-10 13:33 Chocohead Fixed in Version => Builds for MC 1.12.x
2017-07-10 13:33 Chocohead Resolution open => fixed
2017-07-10 13:33 Chocohead Assigned To => Chocohead
2017-07-10 13:34 Chocohead Relationship added related to 0002220
2017-07-10 14:30 Krowerom Note Added: 0005370
2017-07-10 18:18 Chocohead Note Added: 0005371